You are not logged in.

#1 2022-01-07 19:07:57

palsor
Member
Registered: 2022-01-07
Posts: 1

Cannot build yay on new installation of Arch

I have been happily using Arch for several years, but after a careless, hurried moment I ended up deleting all of my Linux files and programs two weeks ago by deleting the ESP. But it gave me the opportunity to install everything fresh, but so far I've not been able to take advantage of it. When I went to install yay, I hit a wall: the final instruction, makepkg -si, led to a fatal error:

     # runtime/cgo
     _cgo_export.c:3:10: fatal error: stdlib.h: No such file or directory
         3 | #include <stdlib.h>
            |                ^~~~~~~~~~
     compilation terminated.

The problem involves libffi7, properly known as libffi7 3.3-2. It has been superseded by liffi8, but it is invoking libffi7 in several places in what I have compiled so far. It is recommended that a global update will resolve the issue, but this is a totally new installation and all files have been well scrubbed by the pacman -Syyu command. and still it is calling for libffi7. Ironically there is a package in the AUR for installing libffi7, if only I could compile yay!

Once I have this running, I can go about recreating my ravaged files! Your help would be greatly appreciated!

Offline

#2 2022-01-07 19:51:20

Alad
Wiki Admin/IRC Op
From: Bagelstan
Registered: 2014-05-04
Posts: 2,251
Website

Re: Cannot build yay on new installation of Arch

Ironically there is a package in the AUR for installing libffi7, if only I could compile yay!

Where did you get the idea that you need "yay" to install AUR packages?

It's unclear how this error relates to libffi7. stdlib.h is a header from the C standard library. Try something like:

#include <stdlib.h>
int main() {
 return EXIT_SUCCESS;
}

save it as somefile.c, and compile with

gcc somefile.c

If that works, it might be some problem in your Go installation.


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby

Offline

#3 2022-01-07 20:01:53

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,866

Re: Cannot build yay on new installation of Arch

Have you installed the base-devel group?


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#4 2022-01-07 20:19:38

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,572
Website

Re: Cannot build yay on new installation of Arch

Mod note: moving to AUR Issues.


Sakura:-
Mobo: MSI MEG B550 UNIFY // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

Board footer

Powered by FluxBB